# -*- coding: utf-8 -*-

%define version 0.6.6
%define release alt1
%setup_python_module eyeD3

Name: %modulename
Version:%version
Release: %release
Summary: Console tool for displays and manipulates id3-tags on mp3 files
Summary(ru_RU.UTF-8): Консольное приложение для работы с ID3-тэгами MP3 файлов
License: GPL
Group: Sound
URL: http://eyed3.nicfit.net
BuildArch: noarch

Source0: %modulename-%version.tar.gz

Patch0: %modulename-long-tyer.patch

Requires: %packagename = %version

# Automatically added by buildreq on Fri Nov 26 2004
BuildRequires: python-base python-dev python-modules-encodings

%description
eyeD3 manipulates ID3 tags in mp3 files and is able to read/write and
convert between ID3 v1.0, v1.1, v2.3 and v2.4 tags. High-level access
is provided to most frames, including APIC (i.e., images) frames.

%description -l ru_RU.UTF-8
eyeD3 читает и изменяет ID3-тэги файлов формата MP3 и преобразует
тэги между форматами ID3 v1.0, v1.1, v2.3 и v2.4. Имеется
высоко-уровневый доступ к большинству фреймов, включая APIC (графика).


%package -n %packagename
Summary: A python module for processing mp3 files
Group: Development/Python

%description -n %packagename
eyeD3 is a Python module and program for processing ID3 tags.
Information about mp3 files (i.e bit rate, sample frequency,
play time, etc.) is also provided.  The formats supported are ID3
v1.0/v1.1 and v2.3/v2.4.

This module is built for python %__python_version


%prep
%setup -q -n %modulename-%version
%patch0 -p1

%build
./configure --prefix=%_prefix --mandir=%_mandir
env CFLAGS="$RPM_OPT_FLAGS" make

%install
make RPM_BUILD_ROOT=${RPM_BUILD_ROOT} install
gzip -f -9 ChangeLog

%files
%_bindir/eyeD3
%_man1dir/eyeD3.1.gz

%files -n %packagename
%python_sitelibdir/eyeD3
%doc AUTHORS ChangeLog.gz NEWS README README.html THANKS TODO


%changelog
* Thu May 19 2005 Eugene Vlasov <eugvv@altlinux.ru> 0.6.6-alt1
- New version

* Tue Apr 19 2005 Eugene Vlasov <eugvv@altlinux.ru> 0.6.5-alt1
- New version

* Sat Mar 12 2005 Eugene Vlasov <eugvv@altlinux.ru> 0.6.4-alt3
- Rebuild with python 2.4

* Mon Feb 14 2005 Eugene Vlasov <eugvv@altlinux.ru> 0.6.4-alt2
- Fixed work with incorrect TYER frames

* Mon Feb 07 2005 Eugene Vlasov <eugvv@altlinux.ru> 0.6.4-alt1
- New version

* Fri Nov 26 2004 Eugene Vlasov <eugvv@altlinux.ru> 0.6.3-alt1
- First build for Sisyphus

